# Uses of Enum
ch.qos.logback.core.spi.FilterReply

Packages that use FilterReply
Package
Description
ch.qos.logback.access.filter
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic.filter
ch.qos.logback.classic.spi
Contains core classes of logback classic.
ch.qos.logback.classic.turbo
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.filter
Contains base classes to the event filtering functionality of logback.
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as

## Uses of FilterReply in ch.qos.logback.access.filter

Methods in ch.qos.logback.access.filter that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
CountingFilter.`decide(Object event)`

## Uses of FilterReply in ch.qos.logback.access.jetty

Methods in ch.qos.logback.access.jetty that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
RequestLogImpl.`getFilterChainDecision(IAccessEvent event)`

## Uses of FilterReply in ch.qos.logback.access.spi

Methods in ch.qos.logback.access.spi that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
AccessContext.`getFilterChainDecision(IAccessEvent event)`

## Uses of FilterReply in ch.qos.logback.access.tomcat

Methods in ch.qos.logback.access.tomcat that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
LogbackValve.`getFilterChainDecision(IAccessEvent event)`

## Uses of FilterReply in ch.qos.logback.classic.filter

Methods in ch.qos.logback.classic.filter that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
LevelFilter.`decide(ILoggingEvent event)`
`FilterReply`
ThresholdFilter.`decide(ILoggingEvent event)`

## Uses of FilterReply in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
TurboFilterList.`getTurboFilterChainDecision(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
Loop through the filters in the chain.

## Uses of FilterReply in ch.qos.logback.classic.turbo

Fields in ch.qos.logback.classic.turbo declared as FilterReply
Modifier and Type
Field
Description
`protected FilterReply`
MatchingFilter.`onMatch`
`protected FilterReply`
MatchingFilter.`onMismatch`
Methods in ch.qos.logback.classic.turbo that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
DuplicateMessageFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
DynamicThresholdFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String s, Object[] objects, Throwable throwable)`
This method first finds the MDC value for 'key'.
`FilterReply`
MarkerFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
MDCFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
ReconfigureOnChangeFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`abstract FilterReply`
TurboFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
Make a decision based on the multiple parameters passed as arguments.
`FilterReply`
DynamicThresholdFilter.`getOnHigherOrEqual()`
Get the FilterReply when the effective level is higher or equal to the level of current logging request
`FilterReply`
DynamicThresholdFilter.`getOnLower()`
Get the FilterReply when the effective level is lower than the level of current logging request
Methods in ch.qos.logback.classic.turbo with parameters of type FilterReply
Modifier and Type
Method
Description
`void`
DynamicThresholdFilter.`setOnHigherOrEqual(FilterReply onHigherOrEqual)`
`void`
DynamicThresholdFilter.`setOnLower(FilterReply onLower)`

## Uses of FilterReply in ch.qos.logback.core

Methods in ch.qos.logback.core that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
AppenderBase.`getFilterChainDecision(E event)`
`FilterReply`
UnsynchronizedAppenderBase.`getFilterChainDecision(E event)`

## Uses of FilterReply in ch.qos.logback.core.filter

Fields in ch.qos.logback.core.filter declared as FilterReply
Modifier and Type
Field
Description
`protected FilterReply`
AbstractMatcherFilter.`onMatch`
`protected FilterReply`
AbstractMatcherFilter.`onMismatch`
Methods in ch.qos.logback.core.filter that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
EvaluatorFilter.`decide(E event)`
`abstract FilterReply`
Filter.`decide(E event)`
If the decision is ``DENY``, then the event will be dropped.
`final FilterReply`
AbstractMatcherFilter.`getOnMatch()`
`final FilterReply`
AbstractMatcherFilter.`getOnMismatch()`
Methods in ch.qos.logback.core.filter with parameters of type FilterReply
Modifier and Type
Method
Description
`final void`
AbstractMatcherFilter.`setOnMatch(FilterReply reply)`
`final void`
AbstractMatcherFilter.`setOnMismatch(FilterReply reply)`

## Uses of FilterReply in ch.qos.logback.core.spi

Methods in ch.qos.logback.core.spi that return FilterReply
Modifier and Type
Method
Description
`FilterReply`
FilterAttachable.`getFilterChainDecision(E event)`
Loop through the filters in the chain.
`FilterReply`
FilterAttachableImpl.`getFilterChainDecision(E event)`
Loop through the filters in the list.
`static FilterReply`
FilterReply.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FilterReply[]`
FilterReply.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.